%define builtin_release_version 1
%define builtin_release_name Kaede
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%global momorel	1

Summary: Momonga Linux release file
Name: momonga-release
Version: %{real_release_version}
Release: %{momorel}m
License: "Momonga"
Group: System Environment/Base
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: redhat-release
Obsoletes: redhat-release
Obsoletes: rawhide-release
Requires: rpm >= 4.0.4-64m

%description
Momonga Linux release file

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_sysconfdir}
echo "Momonga Linux release %{real_release_version} (%{real_release_name})%{?builtin_release_beta: beta%{builtin_release_beta}}" > %{buildroot}%{_sysconfdir}/momonga-release
cp %{buildroot}%{_sysconfdir}/momonga-release %{buildroot}%{_sysconfdir}/issue
echo "Kernel \r on an \m" >> %{buildroot}%{_sysconfdir}/issue
cp %{buildroot}%{_sysconfdir}/issue %{buildroot}%{_sysconfdir}/issue.net
echo >> %{buildroot}%{_sysconfdir}/issue
ln -s momonga-release %{buildroot}%{_sysconfdir}/redhat-release

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%attr(0644,root,root) /etc/momonga-release
%attr(-,root,root) /etc/redhat-release
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net

%changelog
* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-1m)
- Momonga Linux release 1 (Kaede)

* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.3m)
- Momonga Linux release 1 (Kaede) beta2

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1-0.2m)
- remove Epoch

* Tue Jul  6 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.1m)
- Momonga Linux 1 beta1
